<div class="result-list-container px-0 px-sm-2 px-md-4" xmlns="http://www.w3.org/1999/html">
  <div *ngIf="showTotalHits && !educationsService.isLoadingFirstPageResult && !educationsService.isBackendError">
    <span class="searchresult-metadata-headline">Sökresultat: </span>
    {{educationsService.totalHits}} träffar
  </div>
  <div *ngIf="educationsService.isLoadingFirstPageResult && !educationsService.isBackendError"
       class="searchresultspinner-area">
    <mat-spinner class="education-spinner" [diameter]="40" aria-label="Sökning pågår"></mat-spinner>
    Sökning pågår..
  </div>
  <div *ngIf="educationsService.isBackendError" class="searchresultbackenderror-area">
    <fa-icon [icon]="faBackendError"></fa-icon>
    <span class="errortext">Oj, något gick fel..</span>
  </div>

  <div id="result-list-items-container" class="result-list-items-container"
       infiniteScroll
       [infiniteScrollDistance]="2"
       [infiniteScrollThrottle]="50"
       (scrolled)="onResultItemsScroll()"
       [scrollWindow]="false">
    <div *ngIf="!educationsService.isLoadingFirstPageResult">
      <div *ngFor="let education of getEducationsLight();let i = index"
           [attr.data-index]="i+1 + (educationsService.page-1)*educationsService.nrDocsToFetch">
        <mat-card appearance="outlined" class="card-item">
          <mat-card-title><h3>{{ education.title }} <span *ngIf="education.code"> ({{education.code}})</span></h3>
            <h4><div *ngIf="education.providers.length > 1">Flera lärosäten ({{education.providers.length}})</div>
            <div *ngIf="education.providers.length == 1">{{education.providers[0]}}</div></h4></mat-card-title>
          <mat-card-content class="education-summary-container">
            <div class="educationform-and-type">{{capitalizeWords(education.form)}}
              <span *ngIf="education.type">, {{education.type}}</span>
            </div>
            <div class="education-summary" fxLayout="row" fxLayoutAlign="start start" fxLayoutGap="20px">

            <div *ngIf="education.paceOfStudyPercentages.length > 0"><fa-icon [icon]="faClock"></fa-icon> Studietakt {{education.paceOfStudyPercentages[0]}} %</div>
            <div *ngIf="education.municipalityCodes.length > 1"><fa-icon [icon]="faGlobe"></fa-icon> Flera kommuner ({{education.municipalityCodes.length}})</div>
            <div *ngIf="education.municipalityCodes.length == 1"><fa-icon [icon]="faGlobe"></fa-icon> {{this.getMunicipality(education.municipalityCodes[0])}}</div>
            <div *ngIf="education.languagesOfInstruction.length > 1"><fa-icon [icon]="faLanguage"></fa-icon> Undervisning på flera språk ({{education.languagesOfInstruction.length}})</div>
            <div *ngIf="education.languagesOfInstruction.length == 1"><fa-icon [icon]="faLanguage"></fa-icon> Undervisning på {{getLanguage(education.languagesOfInstruction[0])}}</div>
            <div *ngIf="education.distance"><fa-icon [icon]="faLocationDot"></fa-icon> Distansutbildning</div>
            </div>
          </mat-card-content>
          <mat-card-actions>
            <button mat-raised-button class="search-button btn-primary-education" fxFlex="50"
                    (click)="setMatchedOccupations(education)">Relaterade yrken
            </button>
            <button mat-raised-button class="search-button btn-primary-education" fxFlex="50"
                    (click)="setEducationInfo(education)">Om utbildningen
            </button>
          </mat-card-actions>
        </mat-card>

      </div>
    </div>
    <div *ngIf="educationsService.isLoadingPageResult && !educationsService.isLoadingFirstPageResult"
         class="searchresultspinner-area">
      <mat-spinner class="education-spinner" [diameter]="40" aria-label="Laddar resultat"></mat-spinner>
      Laddar..
    </div>
  </div>
</div>
